<template>
  <div>
    <NuxtLayout>
      <NuxtPage />
    </NuxtLayout>
  </div>
</template>

<script setup lang="ts">
import { useI18n } from 'vue-i18n';
const { locale } = useI18n();

// 创建一个计算属性，用于 useHead
// 它会根据当前 locale 动态生成 head 配置
const head = computed(() => ({
  htmlAttrs: {
    // 将 html 标签的 lang 属性设置为当前的 locale code
    lang: locale.value,
  },
}));
useHead(head);
</script>
